# Prerequisites

> You need have a Server with Intel [processor that supports
SGX](https://www.intel.com/content/www/us/en/architecture-and-technology/software-guard-extensions-processors.html) or rent a VM, for options see [RedSwitches](redswitches.com) or [Hetzner](hetzner.com).
You may also have the compliant processor in your laptop or desktop, [check here](https://www.intel.com/content/www/us/en/ark/featurefilter.html?productType=873&2_SoftwareGuardExtensions=Yes%20with%20Intel%C2%AE%20ME).

> Public IP is not required to participate.

Make sure you enabled SGX in BIOS. You can check if SGX is enabled from the terminal:

```bash
cpuid | grep -i sgx
```

Make sure you also have kernel above v5.13 to get a built-in SGX DCAP driver.\
Final step is to add the symlinks for the sgx devices:

```bash
sudo mkdir -p /dev/sgx
sudo ln -sf ../sgx_enclave /dev/sgx/enclave
sudo ln -sf ../sgx_provision /dev/sgx/provision
```

<script type="text/javascript" id="hcb" src="/js/comments.js"></script><div id="HCB_comment_box"></div><link rel="stylesheet" type="text/css" href="/css/comments.css"/>
